{
    num: -512,
    accuracy: 100,
    basePower: 70,
    category: "Special",
    name: "Phantasmal Voyage",
    pp: 5,
    priority: 0,
    flags: { snatch: 1, bypasssub: 1, metronome: 1, wind: 1 },
    self: {
    sideCondition: "tailwind",
      duration: 4,
      durationCallback(target, source, effect) {
        if (source?.hasAbility("persistent")) {
          this.add("-activate", source, "ability: Persistent", "[move] Tailwind");
          return 6;
        }
        return 4;
      },
      onSideStart(side, source) {
        if (source?.hasAbility("persistent")) {
          this.add("-sidestart", side, "move: Tailwind", "[persistent]");
        } else {
          this.add("-sidestart", side, "move: Tailwind");
        }
      },
      onModifySpe(spe, pokemon) {
        return this.chainModify(2);
      },
      onSideResidualOrder: 26,
      onSideResidualSubOrder: 5,
      onSideEnd(side) {
        this.add("-sideend", side, "move: Tailwind");
      }
    },
    secondary: null,
    target: "normal",
    type: "Flying",
    zMove: { effect: "crit2" },
    contestType: "Cool"
}